> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Global Content Item Transcript



## OpenAPI

````yaml /openapi.json get /api/v1/content-library/items/{item_id}/transcript
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/content-library/items/{item_id}/transcript:
    get:
      tags:
        - Content Library
      summary: Get Global Content Item Transcript
      operationId: >-
        get_global_content_item_transcript_api_v1_content_library_items__item_id__transcript_get
      parameters:
        - name: item_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Item Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContentLibraryTranscriptDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ContentLibraryTranscriptDetail:
      properties:
        item_id:
          type: string
          format: uuid
          title: Item Id
        is_video:
          type: boolean
          title: Is Video
        status:
          type: string
          enum:
            - not_requested
            - ready
            - no_speech
            - unavailable
          title: Status
        transcript:
          anyOf:
            - $ref: '#/components/schemas/ContentLibraryVideoTranscript'
            - type: 'null'
        limitations:
          items:
            type: string
          type: array
          title: Limitations
      type: object
      required:
        - item_id
        - is_video
        - status
      title: ContentLibraryTranscriptDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ContentLibraryVideoTranscript:
      properties:
        text:
          type: string
          title: Text
          default: ''
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
        duration_seconds:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Duration Seconds
        speaker_count:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Speaker Count
        speakers:
          items:
            type: string
          type: array
          title: Speakers
        segments:
          items:
            $ref: '#/components/schemas/ContentLibraryTranscriptSegment'
          type: array
          title: Segments
      type: object
      title: ContentLibraryVideoTranscript
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ContentLibraryTranscriptSegment:
      properties:
        speaker:
          anyOf:
            - type: string
            - type: 'null'
          title: Speaker
        start:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Start
        end:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: End
        text:
          type: string
          title: Text
      type: object
      required:
        - text
      title: ContentLibraryTranscriptSegment
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````